Bug 802132 - darktable updates fail because of a bad preinstall script
darktable updates fail because of a bad preinstall script
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: darktable (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Edouard Bourguignon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 11:50 EDT by Bruno Wolff III
Modified: 2012-04-11 23:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: darktable-1.0-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-25 23:59:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2012-03-11 11:50:11 EDT
Description of problem:
Error in PREIN scriptlet in rpm package darktable-1.0-0.3.rc2.fc18.i686
/var/tmp/rpm-tmp.3i1fVJ: line 3: syntax error near unexpected token `||'
/var/tmp/rpm-tmp.3i1fVJ: line 3: `    for schema in darktable || : ; do '
error: %pre(darktable-1.0-0.3.rc2.fc18.i686) scriptlet failed, exit status 2
  Verifying  : darktable-1.0-0.3.rc2.fc18.i686                              1/2 
darktable-0.9.2-2.fc17.i686 was supposed to be removed but is not!
  Verifying  : darktable-0.9.2-2.fc17.i686

Version-Release number of selected component (if applicable):
1.0-0.3.rc2.fc18.i686

How reproducible:
100%

Steps to Reproduce:
1. Install an earlier version of darktable
2. yum update
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bruno Wolff III 2012-03-11 11:57:58 EDT
A fresh install of darktable (after removing the old version) also fails.
Comment 2 Fedora Update System 2012-03-11 18:48:36 EDT
darktable-1.0-0.4.rc2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/darktable-1.0-0.4.rc2.fc16
Comment 3 Fedora Update System 2012-03-11 18:48:44 EDT
darktable-1.0-0.4.rc2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/darktable-1.0-0.4.rc2.fc17
Comment 4 Fedora Update System 2012-03-11 18:48:52 EDT
darktable-1.0-0.4.rc2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/darktable-1.0-0.4.rc2.fc15
Comment 5 Fedora Update System 2012-03-11 21:22:54 EDT
Package darktable-1.0-0.4.rc2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing darktable-1.0-0.4.rc2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3599/darktable-1.0-0.4.rc2.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-03-15 06:03:01 EDT
darktable-1.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/darktable-1.0-1.fc16
Comment 7 Fedora Update System 2012-03-15 06:03:11 EDT
darktable-1.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/darktable-1.0-1.fc17
Comment 8 Fedora Update System 2012-03-15 06:03:19 EDT
darktable-1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/darktable-1.0-1.fc15
Comment 9 Fedora Update System 2012-03-25 23:59:26 EDT
darktable-1.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-03-26 00:01:49 EDT
darktable-1.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-03-26 13:57:23 EDT
darktable-1.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-03-26 13:58:19 EDT
darktable-1.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-04-11 23:17:10 EDT
darktable-1.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.